import { defineNuxtModule, createResolver, addPlugin } from '@nuxt/kit';
import { defu } from 'defu';

const module = defineNuxtModule({
  meta: {
    name: "nuxt-meta-pixel",
    configKey: "metaPixel"
  },
  defaults: {
    pixels: []
  },
  setup(options, nuxt) {
    const resolver = createResolver(import.meta.url);
    nuxt.options.runtimeConfig.public.metaPixel = defu(
      nuxt.options.runtimeConfig.public.metaPixel,
      options
    );
    addPlugin(resolver.resolve("./runtime/plugin.client"));
  }
});

export { module as default };
